Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protegex.owl.server
Enum OwlState

    java.lang.Object
      java.lang.Enum<OwlState>
          edu.stanford.smi.protegex.owl.server.OwlState

All Implemented Interfaces:
  edu.stanford.smi.protege.server.framestore.background.ServerCachedState, Serializable, Comparable<OwlState>

    public enum OwlState

extends Enum<OwlState>
implements edu.stanford.smi.protege.server.framestore.background.ServerCachedState

Enum Constant Summary
`End`
`OwlExpr`
`RDFList`
`Start`
`SubClass`
`UserIndividual`

Method Summary
`static boolean` | `allowTransition(edu.stanford.smi.protege.model.framestore.FrameStore fs, OwlState startState, edu.stanford.smi.protege.model.Frame startFrame, OwlState endState, edu.stanford.smi.protege.model.Frame endingFrame)`
`static OwlState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OwlState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Start

    public static final OwlState Start

### SubClass

    public static final OwlState SubClass

### OwlExpr

    public static final OwlState OwlExpr

### RDFList

    public static final OwlState RDFList

### UserIndividual

    public static final OwlState UserIndividual

### End

    public static final OwlState End

Method Detail

### values

    public static final OwlState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OwlState c : OwlState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OwlState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### allowTransition

    public static boolean allowTransition(edu.stanford.smi.protege.model.framestore.FrameStore fs,
                                          OwlState startState,
                                          edu.stanford.smi.protege.model.Frame startFrame,
                                          OwlState endState,
                                          edu.stanford.smi.protege.model.Frame endingFrame)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.